%set_firefox_version_specific
%define snap_date 20050924

%define rname	be
%define cid		\{79A8506A-3FF2-474f-8BF1-1F018FCC8B97\}
%define ciddir 	%firefox_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%firefox_version
Release:	alt1
Summary:	Belarusian (BE) Language Pack for Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://mozilla-be.sourceforge.net

Source0:	%firefox_name-1.0.%snap_date.%rname-BY.langpack.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: firefox-switch-locales
Requires: %firefox_name = %firefox_version

Packager:	LAKostis <lakostis at altlinux.ru>

%description
The Mozilla Firefox Belarusian translation.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Oct 10 2005 LAKostis <lakostis at altlinux.ru> 1.0.7-alt1
- Rebuild with new firefox.
- made from 20050924 translation snapshot.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1.1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1.1.1
- Rebuild with new firefox.

* Tue Jul 12 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt1.1
- fix URL.

* Tue Jul 05 2005 Michael Shigorin <mike@altlinux.org> 1.0.5-alt1
- rebuilt for Sisyphus, lakostis' package

* Wed Jul 05 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt0
- made from 20050119 translation snapshot.
- First build for ALT Linux.
